Subject: Re: Refactoring the tag object; Introducing soft references (softrefs); Git 'notes' (take 2)

From: Steven Grimm <[email-masked]>
Date: Sun, 10 Jun 2007 12:42:48 -0700

Johan Herland wrote:
> Interesting. But I'm not sure I want to give up the fixed-length softref
> records as I imagine it makes the lookup and processing _much_ faster.
>   

The token (really a namespace identifier) could be defined as a string 
with a fixed, probably small, maximum size. Or, better IMO, it could be 
an integer with a bunch of enumerated values for internal git uses and a 
range reserved for unofficial / experimental use. I agree that 
fixed-length records seem like a win here, assuming this is the general 
storage layout we end up with when all is said and done.

-Steve